QGIS Application - Bug report #20916
QGIS freezes Mac when opening and navigating folders
2019-01-04 10:26 AM - Joe Bullard

Status: Closed

Priority: High

Assignee: Denis Rouzaud

Category: mac_os_specific

Affected QGIS version:3.4.3 Regression?: No
Operating System: Mac Mojave Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 28735
Description

Hi,

| have been experiencing this issue on 3.4.3 and 3.4.2 on Mac Mojave. When | open the application my mac will freeze for about 20
seconds. The same also occurs when attempting to navigate system files to save or open layers or projects etc.

History

#1 - 2019-01-04 11:13 AM - Giovanni Manghi
- Status changed from Open to Feedback

Try with a new/clean profile.

#2 - 2019-01-06 07:24 PM - Lene Fischer

| have the same problems. QGIS 3.4.3 freeze when | try to open the 'Open Data Source manager'. | have an existing project open and want to add a new
layer.

As suggested | have tried to open from another user profile and gets the same result.

In the beginning it was just a long period of waiting - now it freeze totally.

.... Now | have booted my computer - and some windows updates automaticly installes. Back to normal. Sorry for 'noise’

| use Windows 7

Regards

Lene Fischer

#3 - 2019-01-07 09:13 AM - Giovanni Manghi

so this is not macOS specific?

#4 - 2019-01-08 11:59 AM - Joe Bullard

Giovanni Manghi wrote:

Try with a new/clean profile.
| completely cleared QGIS and all dependancies, still happens

#5 - 2019-01-10 02:26 PM - Justin DeNormandie

I'm having the same problem on 2 different Mac machines (both running Mojave). It started with 3.4.2 and its still there on 3.4.3. My whole system freezes

when using the" file picker" window. | can move my mouse around, but | cannot interact with any thing during the freeze.

| tried completely uninstalling QGIS (and python, GDAL) and reinstalling, but I still get the freezing.

#6 - 2019-01-11 06:21 AM - Darren Kavanagh

Probably duplicate of #20381.

#7 - 2019-01-11 07:26 AM - Justin DeNormandie

Yes, it's the same issue. | read the subject as meaning the freeze was only during launch, but from the discussion it is clearly the same issue.

#8 - 2019-01-11 11:37 AM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Feedback to Closed
https://issues.qgis.org/issues/20381

